summaryrefslogtreecommitdiff
path: root/dev-python/pyopenssl
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-01-14 17:53:39 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-01-14 17:53:39 +0000
commit69a5a3419678902a7c276117f54c44c8a3c22004 (patch)
tree6ed84e16b3624c9c0154b6b781451f84dba4da57 /dev-python/pyopenssl
parent4b474d4e6a205c7aeac79fb47f005a042aa9a44a (diff)
downloadbaldeagleos-repo-69a5a3419678902a7c276117f54c44c8a3c22004.tar.gz
baldeagleos-repo-69a5a3419678902a7c276117f54c44c8a3c22004.tar.xz
baldeagleos-repo-69a5a3419678902a7c276117f54c44c8a3c22004.zip
Adding metadata
Diffstat (limited to 'dev-python/pyopenssl')
-rw-r--r--dev-python/pyopenssl/Manifest3
-rw-r--r--dev-python/pyopenssl/metadata.xml7
-rw-r--r--dev-python/pyopenssl/pyopenssl-24.2.1.ebuild34
-rw-r--r--dev-python/pyopenssl/pyopenssl-24.3.0.ebuild36
-rw-r--r--dev-python/pyopenssl/pyopenssl-25.0.0.ebuild64
5 files changed, 98 insertions, 46 deletions
diff --git a/dev-python/pyopenssl/Manifest b/dev-python/pyopenssl/Manifest
index 726bfed36cbc..3a9365cdb662 100644
--- a/dev-python/pyopenssl/Manifest
+++ b/dev-python/pyopenssl/Manifest
@@ -1,2 +1,3 @@
-DIST 24.2.1.tar.gz 178572 BLAKE2B daf502d53c75fb16a6e22e6ad6f2e1eb4fa12724d71573b99918990e8a6f58340b892384c80a21a8b2c0a9f38d57b2c4a87a4b8dacd3d0002777a2fe49c37513 SHA512 9527a0c3140c3284b84e2aa126cd5c691d06b276902f74c87f60e24cb321edce4ddb0b44a2651f5ad9998580225583e32f06a65f52ce6f0f947ad8cf538cd339
+DIST pyopenssl-24.2.1.tar.gz 184323 BLAKE2B 5d077508c45c56b1da886877fb41e18699f932933badb73b271ce6d55fbf985398f5a74187fe65fde79b60768cb1705daf805f6fb8570f66ad3cecf11ad9b1c3 SHA512 4d0cdf71a5ae785644bd466ef094592fbf4ab804de8d153c139a88d3ff9b8cc80d073f3d49d4dc73d8ebf97a867e1560a5308b998f7ef0ccc734dcc56697c831
DIST pyopenssl-24.3.0.tar.gz 178944 BLAKE2B ba3117c3c1238ecc84dfdbc84beaeb47c2d12d9e7f2742f798816482954696fd61405884780726f902f7784407e47f129cc5c38f7cf4cd76df4511d215ea4e4c SHA512 ca46a56a5c97ac91d1cbe1cb8b4d9e6d84610785736e925a579560802c1dce6b1cd95c0fed5c25aa775be8a4ae514c5962a86f2db5ecab4506e67ba80ebebd44
+DIST pyopenssl-25.0.0.tar.gz 179573 BLAKE2B e5c9c9e4daa590008163b2e67b7c318cf72a0c922b1db41bf8ef31a44aa59f98a7a594ce1b59a887d47ffb0257f1d11faa920d3bf7807a19e6ece819947e5614 SHA512 77f9f03610a4ddaf115d581b873e728a79ba0e8d762ddeffacb600b6bc4a50bde2edfc114aebe12b9e177f3d53c19fe0c2bf0a5821e609489b8640e23c324376
diff --git a/dev-python/pyopenssl/metadata.xml b/dev-python/pyopenssl/metadata.xml
index b823ed037e2b..155c249b45d0 100644
--- a/dev-python/pyopenssl/metadata.xml
+++ b/dev-python/pyopenssl/metadata.xml
@@ -2,15 +2,12 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
- <email>dev@liguros.net</email>
- <name>Development</name>
- </maintainer>
- <maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
</maintainer>
<upstream>
+ <remote-id type="launchpad">pyopenssl</remote-id>
<remote-id type="cpe">cpe:/a:pyopenssl:pyopenssl</remote-id>
</upstream>
- <origin>ports</origin>
+ <origin>gentoo-staging</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pyopenssl/pyopenssl-24.2.1.ebuild b/dev-python/pyopenssl/pyopenssl-24.2.1.ebuild
index 2a1cdbb41724..8026a4249acf 100644
--- a/dev-python/pyopenssl/pyopenssl-24.2.1.ebuild
+++ b/dev-python/pyopenssl/pyopenssl-24.2.1.ebuild
@@ -1,15 +1,14 @@
-# Copyright 2023-2024 Liguros Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
+
EAPI=8
DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-PYTHON_REQ_USE="threads(+)"
-
-PYPI_NO_NORMALIZE=1
PYPI_PN=pyOpenSSL
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="threads(+)"
-inherit distutils-r1 toolchain-funcs
+inherit distutils-r1 toolchain-funcs pypi
DESCRIPTION="Python interface to the OpenSSL library"
HOMEPAGE="
@@ -17,22 +16,22 @@ HOMEPAGE="
https://github.com/pyca/pyopenssl/
https://pypi.org/project/pyOpenSSL/
"
-SRC_URI="https://github.com/pyca/pyopenssl/archive/refs/tags/24.2.1.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="amd64 arm arm64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
- >=dev-python/cryptography-38.0.0[${PYTHON_USEDEP}]
+ <dev-python/cryptography-44[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-41.0.5[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
$(python_gen_cond_dep '
dev-python/cffi[${PYTHON_USEDEP}]
' 'python*')
- dev-python/flaky[${PYTHON_USEDEP}]
dev-python/pretend[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
)
"
@@ -46,20 +45,17 @@ src_test() {
tests/test_ssl.py::TestContext::test_set_default_verify_paths
)
- # test for 32-bit time_t
- "$(tc-getCC)" ${CFLAGS} ${CPPFLAGS} -c -x c - -o /dev/null <<-EOF &>/dev/null
- #include <sys/types.h>
- int test[sizeof(time_t) >= 8 ? 1 : -1];
- EOF
-
- if [[ ${?} -eq 0 ]]; then
- einfo "time_t is at least 64-bit long"
- else
+ if ! tc-has-64bit-time_t; then
einfo "time_t is smaller than 64 bits, will skip broken tests"
EPYTEST_DESELECT+=(
tests/test_crypto.py::TestX509StoreContext::test_verify_with_time
)
fi
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
distutils-r1_src_test
}
+
+python_test() {
+ epytest -p rerunfailures
+}
diff --git a/dev-python/pyopenssl/pyopenssl-24.3.0.ebuild b/dev-python/pyopenssl/pyopenssl-24.3.0.ebuild
index 7aae9456911d..a9b7261e70af 100644
--- a/dev-python/pyopenssl/pyopenssl-24.3.0.ebuild
+++ b/dev-python/pyopenssl/pyopenssl-24.3.0.ebuild
@@ -1,15 +1,14 @@
-# Copyright 2023-2024 Liguros Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
+
EAPI=8
DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-PYTHON_REQ_USE="threads(+)"
-
-PYPI_NO_NORMALIZE=1
PYPI_PN=pyOpenSSL
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="threads(+)"
-inherit distutils-r1 toolchain-funcs
+inherit distutils-r1 toolchain-funcs pypi
DESCRIPTION="Python interface to the OpenSSL library"
HOMEPAGE="
@@ -17,24 +16,22 @@ HOMEPAGE="
https://github.com/pyca/pyopenssl/
https://pypi.org/project/pyOpenSSL/
"
-SRC_URI="
- https://github.com/pyca/pyopenssl/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz
-"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="amd64 arm arm64 ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
RDEPEND="
- >=dev-python/cryptography-38.0.0[${PYTHON_USEDEP}]
+ <dev-python/cryptography-45[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-41.0.5[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
$(python_gen_cond_dep '
dev-python/cffi[${PYTHON_USEDEP}]
' 'python*')
- dev-python/flaky[${PYTHON_USEDEP}]
dev-python/pretend[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
)
"
@@ -48,20 +45,17 @@ src_test() {
tests/test_ssl.py::TestContext::test_set_default_verify_paths
)
- # test for 32-bit time_t
- "$(tc-getCC)" ${CFLAGS} ${CPPFLAGS} -c -x c - -o /dev/null <<-EOF &>/dev/null
- #include <sys/types.h>
- int test[sizeof(time_t) >= 8 ? 1 : -1];
- EOF
-
- if [[ ${?} -eq 0 ]]; then
- einfo "time_t is at least 64-bit long"
- else
+ if ! tc-has-64bit-time_t; then
einfo "time_t is smaller than 64 bits, will skip broken tests"
EPYTEST_DESELECT+=(
tests/test_crypto.py::TestX509StoreContext::test_verify_with_time
)
fi
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
distutils-r1_src_test
}
+
+python_test() {
+ epytest -p rerunfailures
+}
diff --git a/dev-python/pyopenssl/pyopenssl-25.0.0.ebuild b/dev-python/pyopenssl/pyopenssl-25.0.0.ebuild
new file mode 100644
index 000000000000..4235144e5ef6
--- /dev/null
+++ b/dev-python/pyopenssl/pyopenssl-25.0.0.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=pyOpenSSL
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 toolchain-funcs pypi
+
+DESCRIPTION="Python interface to the OpenSSL library"
+HOMEPAGE="
+ https://www.pyopenssl.org/
+ https://github.com/pyca/pyopenssl/
+ https://pypi.org/project/pyOpenSSL/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ <dev-python/cryptography-45[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-41.0.5[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-4.9[${PYTHON_USEDEP}]
+ ' 3.{10..12})
+"
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/cffi[${PYTHON_USEDEP}]
+ ' 'python*')
+ dev-python/pretend[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx doc \
+ dev-python/sphinx-rtd-theme
+distutils_enable_tests pytest
+
+src_test() {
+ local -x TZ=UTC
+ local EPYTEST_DESELECT=(
+ tests/test_ssl.py::TestContext::test_set_default_verify_paths
+ )
+
+ if ! tc-has-64bit-time_t; then
+ einfo "time_t is smaller than 64 bits, will skip broken tests"
+ EPYTEST_DESELECT+=(
+ tests/test_crypto.py::TestX509StoreContext::test_verify_with_time
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ distutils-r1_src_test
+}
+
+python_test() {
+ epytest -p rerunfailures
+}